using System;

namespace Ekskurzija
{
    class Program
    {
        static bool moguce(int n, int m, int k) 
        {
            int brUcenika = n / k;
            int brBananica = (int)((brUcenika + 1) * ((double)brUcenika / 2));
            return (brBananica * k) + ((n % k) * (brUcenika + 1)) <= m;
        }

        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            string[] ulaz;
            for (int i = 0; i < n; i++) 
            {
                ulaz = Console.ReadLine().Split();
                Console.WriteLine(moguce(int.Parse(ulaz[0]), int.Parse(ulaz[1]), int.Parse(ulaz[2])) ? "Tak" : "Nie");
            }
        }
    }
}